petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCBJacobiGetSubKSP

Gets the local KSP contexts for all blocks on this processor.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCBJacobiGetSubKSP(PC pc,PetscInt *n_local,PetscInt *first_local,KSP *ksp[])

Note Collective Many br

### Input Parameter

pc -the preconditioner context Many br

### Output Parameters

| n_local | - the number of blocks on this processor, or NULL Many br
| first_local | - the global number of the first block on this processor, or NULL Many br
| ksp | - the array of KSP contexts Many br

### Notes

After PCBJacobiGetSubKSP() the array of KSP contexts is not to be freed. Many br

Currently for some matrix implementations only 1 block per processor Many bris supported. Many br

You must call KSPSetUp() or PCSetUp() before calling PCBJacobiGetSubKSP(). Many br

Fortran Usage: You must pass in a KSP array that is large enough to contain all the local KSPs. Many brYou can call PCBJacobiGetSubKSP(pc,nlocal,firstlocal,NULL_OBJECT,ierr) to determine how large the Many brKSP array must be. Many br

Many br

### Keywords

block, Jacobi, get, sub, KSP, context

### See Also

PCBJacobiGetSubKSP()

Level:advanced
Location:src/ksp/pc/impls/bjacobi/bjacobi.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex7.c.html
src/snes/examples/tutorials/ex3.c.html